--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: destructively migrates the repository upwards to match model definitions
- !ruby/struct:SM::Flow::P 
  body: "@param [Symbol] name repository to act on, :default is the default"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Migrations::SingletonMethods#migrate!
is_singleton: false
name: migrate!
params: (repository_name = nil)
visibility: public
